* {

    box-sizing: border-box;

}



body {

    margin: 0;

    background: #090A12;

    color: white;

    font-family: Arial, sans-serif;

    line-height: 1.6;

}





nav {

    display: flex;

    justify-content: space-between;

    align-items: center;

    padding: 25px 8%;

    background: #121522;

}





.logo {

    font-size: 24px;

    font-weight: bold;

}



.logo span {

    color: #8B5CF6;

}




.links a {

    color: white;

    text-decoration: none;

    margin-left: 25px;

}





.hero {

    min-height: 90vh;

    display: flex;

    align-items: center;

    padding: 8%;

    position: relative;

    overflow: hidden;


    background:
        radial-gradient(circle at top right, #5b21b6, transparent 40%),
        linear-gradient(#090A12, #090A12);

}


.hero::before {

content:"";

position:absolute;

width:500px;

height:500px;

background:#8B5CF6;

filter:blur(150px);

opacity:0.25;

animation:forgeGlow 8s infinite alternate;

pointer-events:none;

}



.brand {

    display: flex;

    align-items: center;

    gap: 15px;

}


.brand img {

    width: 55px;

    height: 55px;

    object-fit: contain;

}

.project-card img {

width:100%;

height:220px;

object-fit:cover;

border-radius:10px;

margin-bottom:20px;

}


@keyframes forgeGlow {

    from {

        transform: translate(-100px, -50px);

    }


    to {

        transform: translate(200px, 100px);

    }

}





.hero h1 {

    font-size: 70px;

    max-width: 900px;

    line-height: 1.1;

}




.hero h1 span {

    color: #8B5CF6;

}




.hero p {

    font-size: 20px;

    max-width: 700px;

    color: #c5c5c5;

}




.buttons {

    margin-top: 30px;

}





.button {


    display: inline-block;

    padding: 15px 30px;

    background: #8B5CF6;

    color: white;

    text-decoration: none;

    border-radius: 8px;

    margin-right: 15px;

}





.secondary {

    background: #202333;

}




section {

    padding: 80px 8%;

}




h2 {

    font-size: 42px;

}





.section-text {

    color: #b5b5b5;

    max-width: 700px;

}





.projects {


    display: grid;

    grid-template-columns:
        repeat(auto-fit, minmax(300px, 1fr));

    gap: 30px;


}




.project-card {


    background: #121522;

    padding: 30px;

    border-radius: 15px;

    border: 1px solid #24283b;

    transition: 0.3s;

}





.project-card:hover {


    transform: translateY(-8px);

    border-color: #8B5CF6;


}





.tags span {


    display: inline-block;

    background: #202333;

    padding: 8px 15px;

    border-radius: 20px;

    margin: 5px;

    font-size: 14px;


}






.development-grid {


    display: grid;

    grid-template-columns:
        repeat(auto-fit, minmax(250px, 1fr));

    gap: 25px;


}




.development-grid div {


    background: #121522;

    padding: 25px;

    border-radius: 15px;


}




.development-grid h3 {


    color: #8B5CF6;


}





a {

    color: #8B5CF6;

}





footer {


    padding: 30px;

    text-align: center;

    background: #06070c;


}





@media(max-width:800px) {


    .hero h1 {

        font-size: 45px;

    }



    nav {

        flex-direction: column;

        gap: 20px;

    }


    .links a {

        margin: 10px;

    }


}